Studer Innotec Xtender Serial Communication C Library 1.5.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Structures | Enumerations | Functions
scom_property.h File Reference
`#include "scom_data_link.h"`

Go to the source code of this file.

## Data Structures
struct | scom_property_t
| structure to manipulate a property with the serial protocol More...

## Enumerations
enum | scom_object_type_t { SCOM_USER_INFO_OBJECT_TYPE = 0x1, SCOM_PARAMETER_OBJECT_TYPE = 0x2 }
| different values that object_type in scom_property_t can take

## Functions
void | scom_initialize_property (scom_property_t *property, scom_frame_t *frame)
| initialize a scom_property_t before use More...
void | scom_encode_read_property (scom_property_t *property)
| encode a property read request before sending it More...
void | scom_encode_write_property (scom_property_t *property)
| encode a property write request before sending it More...
void | scom_decode_read_property (scom_property_t *property)
| decode a property read response after reception
void | scom_decode_write_property (scom_property_t *property)
| decode a property write response after reception

## Detailed Description

interface to access to the object property of objects

## Function Documentation

void scom_encode_read_property | ( | scom_property_t * | property) |  |

encode a property read request before sending it

The fields src_addr, dst_addr must be defined in property->frame. object_type, object_id and property_id should be defined in property.

void scom_encode_write_property | ( | scom_property_t * | property) |  |

encode a property write request before sending it

The fields src_addr, dst_addr must be defined in property->frame. object_type, object_id and property_id, value_length and value_buffer should be defined in property.

void scom_initialize_property | ( | scom_property_t * | property,
|  | scom_frame_t * | frame
| ) |  |

initialize a scom_property_t before use

Parameters

  property | the structure to initialize
  frame | an initialized scom_frame_t this will be used by the property